import 'package:auto_route/auto_route.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:mnemo_cards/di/locator.dart';

import '../widgets/packs_menu_widget.dart';

@RoutePage()
class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: PacksMenuWidget(
          locator.repository,
          locator.packManager,
        ),
      ),
    );
  }

  const HomePage();
}
